<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8" />
    <title>Page PHP</title>
  </head>
  <body>
    <?php
      error_reporting(E_ALL);
      try
      {
	$requete = "CREATE TABLE IF NOT EXISTS personnes (
	id INTEGER PRIMARY KEY, 
	nom TEXT NOT NULL
	)";
	/* creation de la BD */
	$db = new PDO("sqlite:./data/DATABASE/personnes.sqlite");
	/* errors -> exceptions */
	$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	/* requete de creation */
	$db->query($requete);
	unset($db);
	echo 'Table créée';
      }
      catch(PDOException $e)
      {
	echo $e->getMessage();
      }
    ?>
  </body>
</html>
