<!DOCTYPE html>
<html>
  <head>
    <title>Page PHP</title>
    <meta http-equiv="content-type" content="text/html;charset=utf-8" />
    <?php
      abstract class Compte {
        protected $nom;
        protected $solde;
        public function __construct($nom, $solde) {
          $this->nom = $nom;
          $this->solde = $solde;
        }
        abstract protected function getInfo();
      }
      
      class CompteCheque extends Compte{
        // NB : inutile quand il y a le même nombre d'arguments
        public function __construct($nom, $solde) {
          parent::__construct($nom, $solde);
        }
        public function getInfo() {
          return "Compte cheque de ".$this->nom." : ".$this->solde;
        }
      }
    ?>
  </head>
  <body>
    <?php
      $ccq = new CompteCheque("John", 1000);
      echo "<p>".$ccq->getInfo()."</p>";
    ?>
  </body>
</html>
